Package org.eclipse.lemminx.services.extensions.completion

## Class CompletionParticipantAdapter

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.completion.CompletionParticipantAdapter

All Implemented Interfaces:
  `ICompletionParticipant`

Direct Known Subclasses:
  `ContentModelCompletionParticipant`, `EntitiesCompletionParticipant`, `FilePathCompletionParticipant`, `PrologCompletionParticipant`, `RNGCompletionParticipant`, `XMLReferencesCompletionParticipant`, `XSDCompletionParticipant`, `XSICompletionParticipant`

    public class CompletionParticipantAdapter
    extends Object
    implements ICompletionParticipant

Completion participant adapter.

### Constructor Summary

Constructors
`CompletionParticipantAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onAttributeName​(boolean generateValue, ICompletionRequest request, ICompletionResponse response, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`
`void` `onAttributeValue​(String valuePrefix, ICompletionRequest request, ICompletionResponse response, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Collects and stores attribute value completion items within the provided completion response `response`
`void` `onDTDSystemId​(String valuePrefix, ICompletionRequest request, ICompletionResponse response, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Collects and stores systemId completion items within the provided completion response `response`
`void` `onTagOpen​(ICompletionRequest completionRequest, ICompletionResponse completionResponse, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`
`void` `onXMLContent​(ICompletionRequest request, ICompletionResponse response, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.completion.ICompletionParticipant

`getResolveCompletionItemParticipant`

### Constructor Detail

#### CompletionParticipantAdapter

    public CompletionParticipantAdapter()

### Method Detail

#### onTagOpen

    public void onTagOpen​(ICompletionRequest completionRequest,
                          ICompletionResponse completionResponse,
                          org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                   throws Exception

Specified by:
  `onTagOpen` in interface `ICompletionParticipant`
Throws:
  `Exception`

#### onXMLContent

    public void onXMLContent​(ICompletionRequest request,
                             ICompletionResponse response,
                             org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                      throws Exception

Specified by:
  `onXMLContent` in interface `ICompletionParticipant`
Throws:
  `Exception`

#### onAttributeName

    public void onAttributeName​(boolean generateValue,
                                ICompletionRequest request,
                                ICompletionResponse response,
                                org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                         throws Exception

Specified by:
  `onAttributeName` in interface `ICompletionParticipant`
Throws:
  `Exception`

#### onAttributeValue

    public void onAttributeValue​(String valuePrefix,
                                 ICompletionRequest request,
                                 ICompletionResponse response,
                                 org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                          throws Exception

Description copied from interface: `ICompletionParticipant`
Collects and stores attribute value completion items within the provided completion response `response`

Specified by:
  `onAttributeValue` in interface `ICompletionParticipant`
Parameters:
  `valuePrefix` - the attribute value before the offset in which completion was invoked
  `request` - the completion request
  `response` - the completion response
Throws:
  `Exception`

#### onDTDSystemId

    public void onDTDSystemId​(String valuePrefix,
                              ICompletionRequest request,
                              ICompletionResponse response,
                              org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                       throws Exception

Description copied from interface: `ICompletionParticipant`
Collects and stores systemId completion items within the provided completion response `response`

Specified by:
  `onDTDSystemId` in interface `ICompletionParticipant`
Parameters:
  `valuePrefix` - the systemId value before the offset in which completion was invoked
  `request` - the completion request
  `response` - the completion response
Throws:
  `Exception`